diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JIT.cpp b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JIT.cpp
index ea8434e..6cb66e5 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JIT.cpp
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JIT.cpp
@@ -97,7 +97,7 @@ JIT::JIT(JSGlobalData* globalData, CodeBlock* codeBlock)
 void JIT::emitTimeoutCheck()
 {
     Jump skipTimeout = branchSub32(NonZero, Imm32(1), timeoutCheckRegister);
-    JITStubCall stubCall(this, cti_timeout_check);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_timeout_check));
     stubCall.addArgument(regT1, regT0); // save last result registers.
     stubCall.call(timeoutCheckRegister);
     stubCall.getArgument(0, regT1, regT0); // reload last result registers.
@@ -107,7 +107,7 @@ void JIT::emitTimeoutCheck()
 void JIT::emitTimeoutCheck()
 {
     Jump skipTimeout = branchSub32(NonZero, Imm32(1), timeoutCheckRegister);
-    JITStubCall(this, cti_timeout_check).call(timeoutCheckRegister);
+    JITStubCall(this, JIT_STUB_NAME(cti_timeout_check)).call(timeoutCheckRegister);
     skipTimeout.link(this);
 
     killLastResultRegister();
@@ -121,7 +121,7 @@ void JIT::emitTimeoutCheck()
 #if USE(JSVALUE32_64)
 #define DEFINE_BINARY_OP(name) \
     case name: { \
-        JITStubCall stubCall(this, cti_##name); \
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_##name)); \
         stubCall.addArgument(currentInstruction[2].u.operand); \
         stubCall.addArgument(currentInstruction[3].u.operand); \
         stubCall.call(currentInstruction[1].u.operand); \
@@ -130,7 +130,7 @@ void JIT::emitTimeoutCheck()
 
 #define DEFINE_UNARY_OP(name) \
     case name: { \
-        JITStubCall stubCall(this, cti_##name); \
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_##name)); \
         stubCall.addArgument(currentInstruction[2].u.operand); \
         stubCall.call(currentInstruction[1].u.operand); \
         NEXT_OPCODE(name); \
@@ -140,7 +140,7 @@ void JIT::emitTimeoutCheck()
 
 #define DEFINE_BINARY_OP(name) \
     case name: { \
-        JITStubCall stubCall(this, cti_##name); \
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_##name)); \
         stubCall.addArgument(currentInstruction[2].u.operand, regT2); \
         stubCall.addArgument(currentInstruction[3].u.operand, regT2); \
         stubCall.call(currentInstruction[1].u.operand); \
@@ -149,7 +149,7 @@ void JIT::emitTimeoutCheck()
 
 #define DEFINE_UNARY_OP(name) \
     case name: { \
-        JITStubCall stubCall(this, cti_##name); \
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_##name)); \
         stubCall.addArgument(currentInstruction[2].u.operand, regT2); \
         stubCall.call(currentInstruction[1].u.operand); \
         NEXT_OPCODE(name); \
@@ -469,7 +469,7 @@ JITCode JIT::privateCompile()
     if (m_codeBlock->codeType() == FunctionCode) {
         slowRegisterFileCheck.link(this);
         m_bytecodeIndex = 0;
-        JITStubCall(this, cti_register_file_check).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_register_file_check)).call();
 #ifndef NDEBUG
         m_bytecodeIndex = (unsigned)-1; // Reset this, in order to guard its use with ASSERTs.
 #endif
diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITArithmetic.cpp b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITArithmetic.cpp
index 7afc1f2..8fbfe26 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITArithmetic.cpp
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITArithmetic.cpp
@@ -80,7 +80,7 @@ void JIT::emitSlow_op_negate(Instruction* currentInstruction, Vector<SlowCaseEnt
     linkSlowCase(iter); // 0 check
     linkSlowCase(iter); // double check
 
-    JITStubCall stubCall(this, cti_op_negate);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_negate));
     stubCall.addArgument(regT1, regT0);
     stubCall.call(dst);
 }
@@ -141,7 +141,7 @@ void JIT::emitSlow_op_jnless(Instruction* currentInstruction, Vector<SlowCaseEnt
             linkSlowCase(iter); // double check
     }
 
-    JITStubCall stubCall(this, cti_op_jless);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jless));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call();
@@ -204,7 +204,7 @@ void JIT::emitSlow_op_jnlesseq(Instruction* currentInstruction, Vector<SlowCaseE
             linkSlowCase(iter); // double check
     }
 
-    JITStubCall stubCall(this, cti_op_jlesseq);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jlesseq));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call();
@@ -245,7 +245,7 @@ void JIT::emitSlow_op_lshift(Instruction* currentInstruction, Vector<SlowCaseEnt
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_lshift);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_lshift));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -285,7 +285,7 @@ void JIT::emitSlow_op_rshift(Instruction* currentInstruction, Vector<SlowCaseEnt
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_rshift);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_rshift));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -326,7 +326,7 @@ void JIT::emitSlow_op_bitand(Instruction* currentInstruction, Vector<SlowCaseEnt
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_bitand);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitand));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -367,7 +367,7 @@ void JIT::emitSlow_op_bitor(Instruction* currentInstruction, Vector<SlowCaseEntr
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_bitor);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitor));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -408,7 +408,7 @@ void JIT::emitSlow_op_bitxor(Instruction* currentInstruction, Vector<SlowCaseEnt
         linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_bitxor);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitxor));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -434,7 +434,7 @@ void JIT::emitSlow_op_bitnot(Instruction* currentInstruction, Vector<SlowCaseEnt
 
     linkSlowCase(iter); // int32 check
 
-    JITStubCall stubCall(this, cti_op_bitnot);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitnot));
     stubCall.addArgument(regT1, regT0);
     stubCall.call(dst);
 }
@@ -467,7 +467,7 @@ void JIT::emitSlow_op_post_inc(Instruction* currentInstruction, Vector<SlowCaseE
     if (dst != srcDst)
         linkSlowCase(iter); // overflow check
 
-    JITStubCall stubCall(this, cti_op_post_inc);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_post_inc));
     stubCall.addArgument(srcDst);
     stubCall.addArgument(Imm32(srcDst));
     stubCall.call(dst);
@@ -501,7 +501,7 @@ void JIT::emitSlow_op_post_dec(Instruction* currentInstruction, Vector<SlowCaseE
     if (dst != srcDst)
         linkSlowCase(iter); // overflow check
 
-    JITStubCall stubCall(this, cti_op_post_dec);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_post_dec));
     stubCall.addArgument(srcDst);
     stubCall.addArgument(Imm32(srcDst));
     stubCall.call(dst);
@@ -527,7 +527,7 @@ void JIT::emitSlow_op_pre_inc(Instruction* currentInstruction, Vector<SlowCaseEn
     linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // overflow check
 
-    JITStubCall stubCall(this, cti_op_pre_inc);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_pre_inc));
     stubCall.addArgument(srcDst);
     stubCall.call(srcDst);
 }
@@ -552,7 +552,7 @@ void JIT::emitSlow_op_pre_dec(Instruction* currentInstruction, Vector<SlowCaseEn
     linkSlowCase(iter); // int32 check
     linkSlowCase(iter); // overflow check
 
-    JITStubCall stubCall(this, cti_op_pre_dec);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_pre_dec));
     stubCall.addArgument(srcDst);
     stubCall.call(srcDst);
 }
@@ -567,7 +567,7 @@ void JIT::emit_op_add(Instruction* currentInstruction)
     OperandTypes types = OperandTypes::fromInt(currentInstruction[4].u.operand);
 
     if (!types.first().mightBeNumber() || !types.second().mightBeNumber()) {
-        JITStubCall stubCall(this, cti_op_add);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_add));
         stubCall.addArgument(op1);
         stubCall.addArgument(op2);
         stubCall.call(dst);
@@ -670,7 +670,7 @@ void JIT::emitSlow_op_add(Instruction* currentInstruction, Vector<SlowCaseEntry>
         }
     }
 
-    JITStubCall stubCall(this, cti_op_add);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_add));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -769,7 +769,7 @@ void JIT::emitSlow_op_sub(Instruction* currentInstruction, Vector<SlowCaseEntry>
         }
     }
 
-    JITStubCall stubCall(this, cti_op_sub);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_sub));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -964,7 +964,7 @@ void JIT::emitSlow_op_mul(Instruction* currentInstruction, Vector<SlowCaseEntry>
     }
 
     Label jitStubCall(this);
-    JITStubCall stubCall(this, cti_op_mul);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_mul));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -1044,7 +1044,7 @@ void JIT::emitSlow_op_div(Instruction* currentInstruction, Vector<SlowCaseEntry>
         }
     }
 
-    JITStubCall stubCall(this, cti_op_div);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_div));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -1110,7 +1110,7 @@ void JIT::emitSlow_op_mod(Instruction* currentInstruction, Vector<SlowCaseEntry>
         linkSlowCase(iter); // 0x80000000 check
     }
 
-    JITStubCall stubCall(this, cti_op_mod);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_mod));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -1124,7 +1124,7 @@ void JIT::emit_op_mod(Instruction* currentInstruction)
     unsigned op1 = currentInstruction[2].u.operand;
     unsigned op2 = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_mod);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_mod));
     stubCall.addArgument(op1);
     stubCall.addArgument(op2);
     stubCall.call(dst);
@@ -1186,7 +1186,7 @@ void JIT::emitSlow_op_lshift(Instruction* currentInstruction, Vector<SlowCaseEnt
     notImm1.link(this);
     notImm2.link(this);
 #endif
-    JITStubCall stubCall(this, cti_op_lshift);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_lshift));
     stubCall.addArgument(regT0);
     stubCall.addArgument(regT2);
     stubCall.call(result);
@@ -1259,7 +1259,7 @@ void JIT::emitSlow_op_rshift(Instruction* currentInstruction, Vector<SlowCaseEnt
     unsigned op1 = currentInstruction[2].u.operand;
     unsigned op2 = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_rshift);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_rshift));
 
     if (isOperandConstantImmediateInt(op2)) {
         linkSlowCase(iter);
@@ -1378,7 +1378,7 @@ void JIT::emitSlow_op_jnless(Instruction* currentInstruction, Vector<SlowCaseEnt
 #endif
         }
 
-        JITStubCall stubCall(this, cti_op_jless);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jless));
         stubCall.addArgument(regT0);
         stubCall.addArgument(op2, regT2);
         stubCall.call();
@@ -1419,7 +1419,7 @@ void JIT::emitSlow_op_jnless(Instruction* currentInstruction, Vector<SlowCaseEnt
 #endif
         }
 
-        JITStubCall stubCall(this, cti_op_jless);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jless));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(regT1);
         stubCall.call();
@@ -1471,7 +1471,7 @@ void JIT::emitSlow_op_jnless(Instruction* currentInstruction, Vector<SlowCaseEnt
         }
 
         linkSlowCase(iter);
-        JITStubCall stubCall(this, cti_op_jless);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jless));
         stubCall.addArgument(regT0);
         stubCall.addArgument(regT1);
         stubCall.call();
@@ -1563,7 +1563,7 @@ void JIT::emitSlow_op_jnlesseq(Instruction* currentInstruction, Vector<SlowCaseE
 #endif
         }
 
-        JITStubCall stubCall(this, cti_op_jlesseq);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jlesseq));
         stubCall.addArgument(regT0);
         stubCall.addArgument(op2, regT2);
         stubCall.call();
@@ -1604,7 +1604,7 @@ void JIT::emitSlow_op_jnlesseq(Instruction* currentInstruction, Vector<SlowCaseE
 #endif
         }
 
-        JITStubCall stubCall(this, cti_op_jlesseq);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jlesseq));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(regT1);
         stubCall.call();
@@ -1656,7 +1656,7 @@ void JIT::emitSlow_op_jnlesseq(Instruction* currentInstruction, Vector<SlowCaseE
         }
 
         linkSlowCase(iter);
-        JITStubCall stubCall(this, cti_op_jlesseq);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_jlesseq));
         stubCall.addArgument(regT0);
         stubCall.addArgument(regT1);
         stubCall.call();
@@ -1708,17 +1708,17 @@ void JIT::emitSlow_op_bitand(Instruction* currentInstruction, Vector<SlowCaseEnt
 
     linkSlowCase(iter);
     if (isOperandConstantImmediateInt(op1)) {
-        JITStubCall stubCall(this, cti_op_bitand);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitand));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(regT0);
         stubCall.call(result);
     } else if (isOperandConstantImmediateInt(op2)) {
-        JITStubCall stubCall(this, cti_op_bitand);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitand));
         stubCall.addArgument(regT0);
         stubCall.addArgument(op2, regT2);
         stubCall.call(result);
     } else {
-        JITStubCall stubCall(this, cti_op_bitand);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_bitand));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(regT1);
         stubCall.call(result);
@@ -1751,7 +1751,7 @@ void JIT::emitSlow_op_post_inc(Instruction* currentInstruction, Vector<SlowCaseE
 
     linkSlowCase(iter);
     linkSlowCase(iter);
-    JITStubCall stubCall(this, cti_op_post_inc);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_post_inc));
     stubCall.addArgument(regT0);
     stubCall.addArgument(Imm32(srcDst));
     stubCall.call(result);
@@ -1783,7 +1783,7 @@ void JIT::emitSlow_op_post_dec(Instruction* currentInstruction, Vector<SlowCaseE
 
     linkSlowCase(iter);
     linkSlowCase(iter);
-    JITStubCall stubCall(this, cti_op_post_dec);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_post_dec));
     stubCall.addArgument(regT0);
     stubCall.addArgument(Imm32(srcDst));
     stubCall.call(result);
@@ -1813,7 +1813,7 @@ void JIT::emitSlow_op_pre_inc(Instruction* currentInstruction, Vector<SlowCaseEn
     linkSlowCase(iter);
     emitGetVirtualRegister(srcDst, regT0);
     notImm.link(this);
-    JITStubCall stubCall(this, cti_op_pre_inc);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_pre_inc));
     stubCall.addArgument(regT0);
     stubCall.call(srcDst);
 }
@@ -1842,7 +1842,7 @@ void JIT::emitSlow_op_pre_dec(Instruction* currentInstruction, Vector<SlowCaseEn
     linkSlowCase(iter);
     emitGetVirtualRegister(srcDst, regT0);
     notImm.link(this);
-    JITStubCall stubCall(this, cti_op_pre_dec);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_pre_dec));
     stubCall.addArgument(regT0);
     stubCall.call(srcDst);
 }
@@ -1892,7 +1892,7 @@ void JIT::emitSlow_op_mod(Instruction* currentInstruction, Vector<SlowCaseEntry>
     notImm1.link(this);
     notImm2.link(this);
 #endif
-    JITStubCall stubCall(this, cti_op_mod);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_mod));
     stubCall.addArgument(X86Registers::eax);
     stubCall.addArgument(X86Registers::ecx);
     stubCall.call(result);
@@ -1906,7 +1906,7 @@ void JIT::emit_op_mod(Instruction* currentInstruction)
     unsigned op1 = currentInstruction[2].u.operand;
     unsigned op2 = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_mod);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_mod));
     stubCall.addArgument(op1, regT2);
     stubCall.addArgument(op2, regT2);
     stubCall.call(result);
@@ -1964,7 +1964,7 @@ void JIT::compileBinaryArithOpSlowCase(OpcodeID opcodeID, Vector<SlowCaseEntry>:
     emitGetVirtualRegister(op1, regT0);
 
     Label stubFunctionCall(this);
-    JITStubCall stubCall(this, opcodeID == op_add ? cti_op_add : opcodeID == op_sub ? cti_op_sub : cti_op_mul);
+    JITStubCall stubCall(this, opcodeID == op_add ? JIT_STUB_NAME(cti_op_add) : opcodeID == op_sub ? JIT_STUB_NAME(cti_op_sub) : JIT_STUB_NAME(cti_op_mul));
     if (op1HasImmediateIntFastCase || op2HasImmediateIntFastCase) {
         emitGetVirtualRegister(op1, regT0);
         emitGetVirtualRegister(op2, regT1);
@@ -2039,7 +2039,7 @@ void JIT::emit_op_add(Instruction* currentInstruction)
     OperandTypes types = OperandTypes::fromInt(currentInstruction[4].u.operand);
 
     if (!types.first().mightBeNumber() || !types.second().mightBeNumber()) {
-        JITStubCall stubCall(this, cti_op_add);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_add));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(op2, regT2);
         stubCall.call(result);
@@ -2205,7 +2205,7 @@ void JIT::emitSlow_op_div(Instruction* currentInstruction, Vector<SlowCaseEntry>
             linkSlowCase(iter);
     }
     // There is an extra slow case for (op1 * -N) or (-N * op2), to check for 0 since this should produce a result of -0.
-    JITStubCall stubCall(this, cti_op_div);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_div));
     stubCall.addArgument(op1, regT2);
     stubCall.addArgument(op2, regT2);
     stubCall.call(result);
@@ -2401,7 +2401,7 @@ void JIT::compileBinaryArithOpSlowCase(OpcodeID opcodeID, Vector<SlowCaseEntry>:
     if (opcodeID == op_mul)
         linkSlowCase(iter);
 
-    JITStubCall stubCall(this, opcodeID == op_add ? cti_op_add : opcodeID == op_sub ? cti_op_sub : cti_op_mul);
+    JITStubCall stubCall(this, opcodeID == op_add ? JIT_STUB_NAME(cti_op_add) : opcodeID == op_sub ? JIT_STUB_NAME(cti_op_sub) : JIT_STUB_NAME(cti_op_mul));
     stubCall.addArgument(src1, regT2);
     stubCall.addArgument(src2, regT2);
     stubCall.call(dst);
@@ -2415,7 +2415,7 @@ void JIT::emit_op_add(Instruction* currentInstruction)
     OperandTypes types = OperandTypes::fromInt(currentInstruction[4].u.operand);
 
     if (!types.first().mightBeNumber() || !types.second().mightBeNumber()) {
-        JITStubCall stubCall(this, cti_op_add);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_add));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(op2, regT2);
         stubCall.call(result);
@@ -2454,7 +2454,7 @@ void JIT::emitSlow_op_add(Instruction* currentInstruction, Vector<SlowCaseEntry>
         linkSlowCase(iter);
         sub32(Imm32(getConstantOperandImmediateInt(op1) << JSImmediate::IntegerPayloadShift), regT0);
         notImm.link(this);
-        JITStubCall stubCall(this, cti_op_add);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_add));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(regT0);
         stubCall.call(result);
@@ -2463,7 +2463,7 @@ void JIT::emitSlow_op_add(Instruction* currentInstruction, Vector<SlowCaseEntry>
         linkSlowCase(iter);
         sub32(Imm32(getConstantOperandImmediateInt(op2) << JSImmediate::IntegerPayloadShift), regT0);
         notImm.link(this);
-        JITStubCall stubCall(this, cti_op_add);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_add));
         stubCall.addArgument(regT0);
         stubCall.addArgument(op2, regT2);
         stubCall.call(result);
@@ -2513,7 +2513,7 @@ void JIT::emitSlow_op_mul(Instruction* currentInstruction, Vector<SlowCaseEntry>
         linkSlowCase(iter);
         linkSlowCase(iter);
         // There is an extra slow case for (op1 * -N) or (-N * op2), to check for 0 since this should produce a result of -0.
-        JITStubCall stubCall(this, cti_op_mul);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_mul));
         stubCall.addArgument(op1, regT2);
         stubCall.addArgument(op2, regT2);
         stubCall.call(result);
diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCall.cpp b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCall.cpp
index f4f6e62..3ad0e3a 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCall.cpp
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCall.cpp
@@ -129,7 +129,7 @@ void JIT::compileOpCallVarargsSlowCase(Instruction* instruction, Vector<SlowCase
     linkSlowCaseIfNotJSCell(iter, callee);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_call_NotJSFunction);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_call_NotJSFunction));
     stubCall.call(dst); // In the interpreter, the callee puts the return value in dst.
 
     map(m_bytecodeIndex + OPCODE_LENGTH(op_call_varargs), dst, regT1, regT0);
@@ -141,14 +141,14 @@ void JIT::emit_op_ret(Instruction* currentInstruction)
     unsigned dst = currentInstruction[1].u.operand;
 
 #ifdef QT_BUILD_SCRIPT_LIB
-    JITStubCall stubCall(this, cti_op_debug_return);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_debug_return));
     stubCall.addArgument(Imm32(dst));
     stubCall.call();
 #endif
 
     // We could JIT generate the deref, only calling out to C when the refcount hits zero.
     if (m_codeBlock->needsFullScopeChain())
-        JITStubCall(this, cti_op_ret_scopeChain).call();
+        JITStubCall(this, JIT_STUB_NAME(cti_op_ret_scopeChain)).call();
 
     emitLoad(dst, regT1, regT0);
     emitGetFromCallFrameHeaderPtr(RegisterFile::ReturnPC, regT2);
@@ -214,7 +214,7 @@ void JIT::emit_op_load_varargs(Instruction* currentInstruction)
     int argCountDst = currentInstruction[1].u.operand;
     int argsOffset = currentInstruction[2].u.operand;
 
-    JITStubCall stubCall(this, cti_op_load_varargs);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_load_varargs));
     stubCall.addArgument(Imm32(argsOffset));
     stubCall.call();
     // Stores a naked int32 in the register file.
@@ -244,7 +244,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned)
 
     Jump wasEval;
     if (opcodeID == op_call_eval) {
-        JITStubCall stubCall(this, cti_op_call_eval);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_call_eval));
         stubCall.addArgument(callee);
         stubCall.addArgument(JIT::Imm32(registerOffset));
         stubCall.addArgument(JIT::Imm32(argCount));
@@ -264,7 +264,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned)
 
     // First, in the case of a construct, allocate the new object.
     if (opcodeID == op_construct) {
-        JITStubCall(this, cti_op_construct_JSConstruct).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
+        JITStubCall(this, JIT_STUB_NAME(cti_op_construct_JSConstruct)).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
         emitLoad(callee, regT1, regT2);
     }
 
@@ -291,7 +291,7 @@ void JIT::compileOpCallSlowCase(Instruction* instruction, Vector<SlowCaseEntry>:
     linkSlowCaseIfNotJSCell(iter, callee);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, opcodeID == op_construct ? cti_op_construct_NotJSConstruct : cti_op_call_NotJSFunction);
+    JITStubCall stubCall(this, opcodeID == op_construct ? JIT_STUB_NAME(cti_op_construct_NotJSConstruct) : JIT_STUB_NAME(cti_op_call_NotJSFunction));
     stubCall.call(dst); // In the interpreter, the callee puts the return value in dst.
 
     sampleCodeBlock(m_codeBlock);
@@ -310,7 +310,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned ca
 
     Jump wasEval;
     if (opcodeID == op_call_eval) {
-        JITStubCall stubCall(this, cti_op_call_eval);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_call_eval));
         stubCall.addArgument(callee);
         stubCall.addArgument(JIT::Imm32(registerOffset));
         stubCall.addArgument(JIT::Imm32(argCount));
@@ -335,7 +335,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned ca
         int proto = instruction[5].u.operand;
         int thisRegister = instruction[6].u.operand;
 
-        JITStubCall stubCall(this, cti_op_construct_JSConstruct);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_construct_JSConstruct));
         stubCall.addArgument(regT1, regT0);
         stubCall.addArgument(Imm32(0)); // FIXME: Remove this unused JITStub argument.
         stubCall.addArgument(Imm32(0)); // FIXME: Remove this unused JITStub argument.
@@ -391,7 +391,7 @@ void JIT::compileOpCallSlowCase(Instruction* instruction, Vector<SlowCaseEntry>:
 
     // First, in the case of a construct, allocate the new object.
     if (opcodeID == op_construct) {
-        JITStubCall(this, cti_op_construct_JSConstruct).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
+        JITStubCall(this, JIT_STUB_NAME(cti_op_construct_JSConstruct)).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
         emitLoad(callee, regT1, regT0);
     }
 
@@ -418,7 +418,7 @@ void JIT::compileOpCallSlowCase(Instruction* instruction, Vector<SlowCaseEntry>:
     // This handles host functions
     callLinkFailNotObject.link(this);
     callLinkFailNotJSFunction.link(this);
-    JITStubCall(this, opcodeID == op_construct ? cti_op_construct_NotJSConstruct : cti_op_call_NotJSFunction).call();
+    JITStubCall(this, opcodeID == op_construct ? JIT_STUB_NAME(cti_op_construct_NotJSConstruct) : JIT_STUB_NAME(cti_op_call_NotJSFunction)).call();
 
     emitStore(dst, regT1, regT0);;
     sampleCodeBlock(m_codeBlock);
@@ -513,7 +513,7 @@ void JIT::compileOpCallVarargsSlowCase(Instruction* instruction, Vector<SlowCase
     
     linkSlowCase(iter);
     linkSlowCase(iter);
-    JITStubCall stubCall(this, cti_op_call_NotJSFunction);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_call_NotJSFunction));
     stubCall.call(dst); // In the interpreter, the callee puts the return value in dst.
     
     sampleCodeBlock(m_codeBlock);
@@ -533,7 +533,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned)
     // Handle eval
     Jump wasEval;
     if (opcodeID == op_call_eval) {
-        JITStubCall stubCall(this, cti_op_call_eval);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_call_eval));
         stubCall.addArgument(callee, regT0);
         stubCall.addArgument(JIT::Imm32(registerOffset));
         stubCall.addArgument(JIT::Imm32(argCount));
@@ -554,7 +554,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned)
 
     // First, in the case of a construct, allocate the new object.
     if (opcodeID == op_construct) {
-        JITStubCall(this, cti_op_construct_JSConstruct).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
+        JITStubCall(this, JIT_STUB_NAME(cti_op_construct_JSConstruct)).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
         emitGetVirtualRegister(callee, regT0);
     }
 
@@ -580,7 +580,7 @@ void JIT::compileOpCallSlowCase(Instruction* instruction, Vector<SlowCaseEntry>:
 
     linkSlowCase(iter);
     linkSlowCase(iter);
-    JITStubCall stubCall(this, opcodeID == op_construct ? cti_op_construct_NotJSConstruct : cti_op_call_NotJSFunction);
+    JITStubCall stubCall(this, opcodeID == op_construct ? JIT_STUB_NAME(cti_op_construct_NotJSConstruct) : JIT_STUB_NAME(cti_op_call_NotJSFunction));
     stubCall.call(dst); // In the interpreter, the callee puts the return value in dst.
 
     sampleCodeBlock(m_codeBlock);
@@ -600,7 +600,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned ca
     // Handle eval
     Jump wasEval;
     if (opcodeID == op_call_eval) {
-        JITStubCall stubCall(this, cti_op_call_eval);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_call_eval));
         stubCall.addArgument(callee, regT0);
         stubCall.addArgument(JIT::Imm32(registerOffset));
         stubCall.addArgument(JIT::Imm32(argCount));
@@ -632,7 +632,7 @@ void JIT::compileOpCall(OpcodeID opcodeID, Instruction* instruction, unsigned ca
 
         emitPutJITStubArg(regT0, 0);
         emitPutJITStubArgFromVirtualRegister(proto, 3, regT2);
-        JITStubCall stubCall(this, cti_op_construct_JSConstruct);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_construct_JSConstruct));
         stubCall.call(thisRegister);
         emitGetVirtualRegister(callee, regT0);
     }
@@ -680,7 +680,7 @@ void JIT::compileOpCallSlowCase(Instruction* instruction, Vector<SlowCaseEntry>:
 
     // First, in the case of a construct, allocate the new object.
     if (opcodeID == op_construct) {
-        JITStubCall(this, cti_op_construct_JSConstruct).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
+        JITStubCall(this, JIT_STUB_NAME(cti_op_construct_JSConstruct)).call(registerOffset - RegisterFile::CallFrameHeaderSize - argCount);
         emitGetVirtualRegister(callee, regT0);
     }
 
@@ -709,7 +709,7 @@ void JIT::compileOpCallSlowCase(Instruction* instruction, Vector<SlowCaseEntry>:
     // This handles host functions
     callLinkFailNotObject.link(this);
     callLinkFailNotJSFunction.link(this);
-    JITStubCall(this, opcodeID == op_construct ? cti_op_construct_NotJSConstruct : cti_op_call_NotJSFunction).call();
+    JITStubCall(this, opcodeID == op_construct ? JIT_STUB_NAME(cti_op_construct_NotJSConstruct) : JIT_STUB_NAME(cti_op_call_NotJSFunction)).call();
 
     emitPutVirtualRegister(dst);
     sampleCodeBlock(m_codeBlock);
diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h
index 69cf167..65a9f9f 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h
@@ -76,7 +76,7 @@ namespace JSC {
         // Execute the code!
         inline JSValue execute(RegisterFile* registerFile, CallFrame* callFrame, JSGlobalData* globalData, JSValue* exception)
         {
-            return JSValue::decode(ctiTrampoline(m_ref.m_code.executableAddress(), registerFile, callFrame, exception, Profiler::enabledProfilerReference(), globalData));
+            return JSValue::decode(JIT_STUB_NAME(ctiTrampoline)(m_ref.m_code.executableAddress(), registerFile, callFrame, exception, Profiler::enabledProfilerReference(), globalData));
         }
 
         void* start()
